Page MenuHomePhabricator

Remove the beta opt in panel from the mobile site
Closed, ResolvedPublic2 Estimated Story Points

Description

The beta opt in panel prompts people to opt into beta.
It's been disabled for a few years now.

@ovasileva (on slack) said we could remove this code.

Config

$wgMFExperiments['betaoptin'] = array(
  "name" => "betaoptin",
  'buckets' => [
    'control' => 0,
    'A' => 1,
  ],
  'enabled' => true,
);

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2019, 4:32 PM
Jdlrobson renamed this task from [EPIC] Restore the beta opt in panel or remove it to Restore the beta opt in panel or remove it.Oct 21 2019, 6:20 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: ovasileva.

Change 544997 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove BetaOptInPanel and associated code

https://gerrit.wikimedia.org/r/544997

ovasileva triaged this task as Medium priority.Oct 21 2019, 7:58 PM
Jdlrobson renamed this task from Restore the beta opt in panel or remove it to Remove the beta opt in panel from the mobile site.Oct 22 2019, 5:13 PM

Change 545368 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/QuickSurveys@master] [init] Don't respond to mobile.betaoptin event

https://gerrit.wikimedia.org/r/545368

Change 545368 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] [init] Don't respond to mobile.betaoptin event

https://gerrit.wikimedia.org/r/545368

Jdlrobson set the point value for this task to 2.Oct 22 2019, 9:11 PM

Per today's estimation.

Change 544997 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove BetaOptInPanel and associated code

https://gerrit.wikimedia.org/r/544997

ovasileva closed this task as Resolved.Oct 29 2019, 10:06 AM
ovasileva claimed this task.

Confirming that opting into/out of beta works as expected. Resolving.